package twitterTests;


import java.util.List;

import org.junit.Before;
import org.junit.Test;

import edu.westga.model.tweetAggregator.TweetAggregator;

import twitter4j.Tweet;
import twitter4j.TwitterException;

public class TweetAggregatorTester {

	TweetAggregator theTweetAggregator;
	
	@Before
	public void setUp() throws Exception {
		this.theTweetAggregator = new TweetAggregator();
	}
	
	@Test
	public void whenSearchUWGAthleticsTweetsShouldGetUWGAthleticsTweets(){
		print("whenSearchUWGAthleticsTweetsShouldGetUWGAthleticsTweets :");
		
		try {
			List<Tweet> listOfUWGEventsTweets = this.theTweetAggregator.doSearch("UWGAthletics");
			printTweets(listOfUWGEventsTweets);
		} 
		catch (TwitterException e) {
			print("Twitter Exception: " + e.getMessage());
		}
		
		System.out.println("\n");
	}
	
	@Test
	public void whenSearchUWGWolfieTweetsShouldGetUWGEventsTweets(){
		print("whenSearchUWGWolfieTweetsShouldGetUWGEventsTweets :");
		
		try {
			List<Tweet> listOfUWGEventsTweets = this.theTweetAggregator.doSearch("UWGEvents");
			printTweets(listOfUWGEventsTweets);
		}
		catch (TwitterException e) {
			print("Twitter Exception: " + e.getMessage());
		}
		
		System.out.println("\n");
	}
	
	@Test
	public void whenSetStatusToSomeStatusShouldGetSomeStatus(){
		
	}
	
	@Test
	public void whenPostTweetShouldPostTheTweet(){
		
	}
	
	///////////////////////////////////////////////////////
	//////////////// PRIVATE HELPERS///////////////////////
	///////////////////////////////////////////////////////
	
	private void print(String stringToPrint){
		System.out.println(stringToPrint);
	}
	
	private void printTweets(List<Tweet> listOfUWGEventsTweets) {
		for(Tweet tweet : listOfUWGEventsTweets){
			print("@" + tweet.getFromUser() + " posted on " + tweet.getCreatedAt() + " - " + tweet.getText());
		}
	}

}
